// server.cs

// Handle Required Add-ons
%errorA = ForceRequiredAddOn("Vehicle_Jeep");
%errorB = ForceRequiredAddOn("Support_Interactive_Vehicle");

if(%errorA == $Error::AddOn_NotFound)
{
	error("ERROR: Vehicle_Gridley - required add-on Vehicle_Jeep not found");
	%errors++;
}
// Remove Jeep from Vehicle List if Disabled
else if(%errorA == $Error::AddOn_Disabled)
	JeepVehicle.uiName = "";

if(%errorB == $Error::AddOn_NotFound)
{
	error("ERROR: Vehicle_Gridley - required add-on Support_Interactive_Vehicle not found");
	%errors++;
}
if(%errors)
	return;

exec("./Vehicle_Gridley.cs");
exec("./Gridley_Spring.cs");
exec("./Gridley_Tire.cs");
exec("./Gridley_Explosion.cs");
exec("./Gridley_FinalExplosion.cs");